# template: react

The default template for `react-boilerplate`.

## 🚀 Usage

Run:

```
npx @imklau/react-boilerplate <app-name>
```

## 👀 What's included?

- [React](https://reactjs.org/) - what a surprise 😳
- [React Router](https://reactrouter.com/) - routing library for React
- [Prop types](https://github.com/facebook/prop-types) - runtime type checking for React props
- [Emotion](https://emotion.sh/docs/introduction) - CSS in JS library
- [Svgr](https://react-svgr.com/) - transforms SVGs into React components
- [Eslint](https://eslint.org/), [Prettier](https://prettier.io/) - static analysis tool and code formatter

## 👩🏻‍💻 Available commands:

- `yarn start` - runs the app in the development mode. (`localhost:9000` by default)
- `yarn build` - builds the app for production, files are saved to the `public` folder
- `yarn lint` - runs eslint to check all your `.js` / `.ts` files in the `src` directory
- `yarn format` - runs prettier to format all your `.js` / `.ts` files in the `src` directory

## 🌳 Folder structure

```
├── build
├── src
│   ├── assets
│   ├── components
│   ├── theme
│   ├── views
│   ├── index.html
│   └── index.jsx
├── package.json
├── .babelrc
├── .eslintrc
└── .prettierrc
```
